[data-component-id="incmty:container_cards_comparison"] {
  padding: 48px 16px;
  text-align: center;
  background-color: var(--bg-color);

  .headings__title.h6 {
    color: var(--headings-color);
    font-size: 12px;
  }

  .headings__subtitle.h3 {
    color: var(--headings-color);
  }

  .headings__description p {
    color: var(--headings-color);
  }

  .cards-compare__cards {
    display: block;
  }

  .cards-compare__cards:has(.slick-arrow) {
    margin-bottom: 79px;
  }

  .slick-list {
    margin-left: -12px;
    margin-right: -12px;

    .slick-track {
      display: flex;

      .slick-slide {
        height: inherit;
        padding-left: 16px;
        padding-right: 8px;
        outline: 0;
        box-shadow: none;
      }
    }
  }

  .slick-prev,
  .slick-next {
    outline: 0;
    box-shadow: none;
    transform: none;
    top: auto;
    bottom: -78px;
    height: 48px;
    width: 48px;

    &::before {
      content: '';
      position: absolute;
      right: 0;
      top: 50%;
      transform: translateY(-50%);
      border-radius: 50%;
      height: 48px;
      width: 48px;
      border: 1px solid var(--text-color);
      background-color: var(--bg-color);
      opacity: 1;
    }

    &::after {
      content: '';
      position: absolute;
      top: 50%;
      right: 0;
      display: inline-block;
      transform: translateY(-50%);
      height: 48px;
      mask-size: 32px;
      mask-position: center;
      mask-repeat: no-repeat;
      background-image: none;
      background-color: var(--text-color);
    }

    @media(hover: hover) {
      &:hover {
        &:before {
          border-color: var(--headings-color);
          background-color: var(--headings-color);
        }

        &::after {
          background-color: var(--bg-color);
        }
      }
    }
  }

  .slick-prev.slick-disabled,
  .slick-next.slick-disabled {
    pointer-events: none;

    &:before,
    &:after {
      opacity: .25;
    }
  }

  .slick-prev {
    left: calc(50% - 64px);

    &::after {
      width: 54px;
      mask-image: url(/themes/custom/incmty/images/svg/chevron-left.svg)
    }
  }

  .slick-next {
    right: calc(50% - 64px);
    left: auto;

    &::after {
      width: 48px;
      mask-image: url(/themes/custom/incmty/images/svg/chevron-right.svg)
    }
  }
}

@media screen and (min-width: 1024px) {
  [data-component-id="incmty:container_cards_comparison"] {
    padding: 96px;
    text-align: center;

    & .slick-track {
      display: flex;
      justify-content: stretch;
    }

    .cards-compare__cards {
      width: 100%;
      display: block;

      & .headings__subtitle {
        font-size: 32px;
        line-height: 38px;
      }
    }

    .cards-compare__cards:has(.slick-arrow) {
      padding-left: 78px;
      padding-right: 78px;
    }

    .slick-list {
      margin-left: -12px;
      margin-right: -12px;
      margin-bottom: 0;

      .slick-slide {
        padding-left: 12px;
        padding-right: 12px;
        height: inherit;
      }
    }

    .slick-slider {
      .slick-prev,
      .slick-next {
        top: 50%;
        transform: translateY(-50%);
      }

      .slick-prev {
        left: 0;
        right: auto;
      }

      .slick-next {
        left: auto;
        right: 0;
      }
    }
  }
}
